import { NestInterceptor, ExecutionContext, CallHandler } from '@nestjs/common';
import { Observable } from 'rxjs';
import { Reflector } from '@nestjs/core';
import { StandaloneCachingService } from "./standalone-caching.service";
export declare const CACHEABLE_KEY: string;
export declare class CacheInterceptor implements NestInterceptor {
    private readonly reflector;
    private readonly cacheService;
    constructor(reflector: Reflector, cacheService: StandaloneCachingService);
    intercept(context: ExecutionContext, next: CallHandler): Promise<Observable<any>>;
    private generateCacheKey;
}
//# sourceMappingURL=cache.interceptor.d.ts.map